insert into metadata_statistics(rundate, metadata_defn, order_sequence, total_entries, metadata_id) 
select to_date(sysdate,'YYYY-MM-DD-HH24:MI:SS'), 'StandAloneSpecsPerCategory', rownum, totals, id from 
(select count(1) totals, csa_category_id id
from csa 
where csa_company_id = 40001 
and csa_name = 'CATEGORY_SPEC_ID' 
and csa_next_version_id = 999999999 
group by csa_category_id
order by totals desc);
commit;
quit;
